> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get external call processed events by orderId



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/Orders/{orderId}/externalCallProcess
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Orders/{orderId}/externalCallProcess:
    get:
      tags:
        - Orders
      summary: Get external call processed events by orderId
      operationId: Orders_GetExternalCallProcessedEvents
      parameters:
        - name: orderId
          in: path
          description: Id of an order to return events for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtcallExecutionFullProgressDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    ExtcallExecutionFullProgressDTO:
      type: object
      properties:
        totalInstructionsCount:
          type: integer
          description: Total number of instructions in the ExternalCall
          format: int32
        steps:
          type: array
          items:
            $ref: '#/components/schemas/ExtcallExecutionProgressStepDTO'
          description: External call execution steps
          nullable: true
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    ExtcallExecutionProgressStepDTO:
      type: object
      properties:
        stepNumber:
          type: integer
          description: "Indicates how many\r\nExternalCall instructions were executed\r\nat the time the event occurred"
          format: int32
        eventMetadata:
          $ref: '#/components/schemas/TransactionMetadataDTO'
        extcallBeneficiaries:
          type: array
          items:
            $ref: '#/components/schemas/AddressPropertyDTO'
          description: Beneficiaries of the ExternalCall execution
          nullable: true
        status:
          $ref: '#/components/schemas/ExternalCallExecutionStatus'
      additionalProperties: false
      description: Describes progress of ExternalCall execution
    TransactionMetadataDTO:
      type: object
      properties:
        transactionHash:
          $ref: '#/components/schemas/TransactionHashPropertyDto'
        blockNumber:
          type: integer
          description: Number of a block\slot this event was produced in
          format: int64
        blockHash:
          oneOf:
            - $ref: '#/components/schemas/StringPropertyDTO'
            - $ref: '#/components/schemas/TransactionHashPropertyDto'
          description: Hash of a block\slot this event was produced in
          nullable: true
        blockTimeStamp:
          type: integer
          description: Timestamp of a block\slot event was produced in
          format: int64
        initiator:
          $ref: '#/components/schemas/AddressPropertyDTO'
      additionalProperties: false
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    ExternalCallExecutionStatus:
      enum:
        - Executed
        - FailedToExecute
        - Canceled
      type: string
    TransactionHashPropertyDto:
      type: object
      allOf:
        - $ref: '#/components/schemas/StringPropertyDTO'
      properties:
        stringValue:
          type: string
          description: String representation of the transaction hash value
          nullable: true
          readOnly: true
      additionalProperties: false
      description: Transaction Hash property
    StringPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false

````